HTML Tidy 0.1

Functions
Document Save Functions

## Functions
int TIDY_CALL | tidySaveFile (TidyDoc tdoc, ctmbstr filename)
int TIDY_CALL | tidySaveStdout (TidyDoc tdoc)
int TIDY_CALL | tidySaveBuffer (TidyDoc tdoc, TidyBuffer *buf)
int TIDY_CALL | tidySaveString (TidyDoc tdoc, tmbstr buffer, uint *buflen)
int TIDY_CALL | tidySaveSink (TidyDoc tdoc, TidyOutputSink *sink)

## Detailed Description

Save currently parsed document to the given output sink. File name and string/buffer functions provided for convenience.

## Function Documentation

int TIDY_CALL tidySaveFile | ( | TidyDoc | tdoc,
|  | ctmbstr | filename
| ) |  |

Save to named file

int TIDY_CALL tidySaveStdout | ( | TidyDoc | tdoc | ) |

Save to standard output (FILE*)

int TIDY_CALL tidySaveBuffer | ( | TidyDoc | tdoc,
|  | TidyBuffer * | buf
| ) |  |

Save to given TidyBuffer object

int TIDY_CALL tidySaveString | ( | TidyDoc | tdoc,
|  | tmbstr | buffer,
|  | uint * | buflen
| ) |  |

Save document to application buffer. If buffer is not big enough, ENOMEM will be returned and the necessary buffer size will be placed in *buflen.

int TIDY_CALL tidySaveSink | ( | TidyDoc | tdoc,
|  | TidyOutputSink * | sink
| ) |  |

Save to given generic output sink